Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ntp
Class NtpUtils

    java.lang.Object
      org.apache.commons.net.ntp.NtpUtils

    public final class NtpUtils

extends Object

Common NtpUtils Helper class.

Version:
  $Revision: 1230358 $ $Date: 2012-01-12 01:51:02 +0000 (Thu, 12 Jan 2012) $
Author:
  Jason Mathews, MITRE Corp

Constructor Summary
`NtpUtils()`

Method Summary
`static String` | `getHostAddress(int address)` Returns 32-bit integer address to IPv4 address string "%d.%d.%d.%d" format.
`static String` | `getModeName(int mode)` Return human-readable name of message mode type (RFC 1305).
`static String` | `getRefAddress(NtpV3Packet packet)` Returns NTP packet reference identifier as IP address.
`static String` | `getReferenceClock(NtpV3Packet message)` Get refId as reference clock string (e.g.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NtpUtils

    public NtpUtils()

Method Detail

### getHostAddress

    public static String getHostAddress(int address)

  Returns 32-bit integer address to IPv4 address string "%d.%d.%d.%d" format.

  Parameters:
    `address` - the 32-bit address
  Returns:
    the raw IP address in a string format.

### getRefAddress

    public static String getRefAddress(NtpV3Packet packet)

  Returns NTP packet reference identifier as IP address.

  Parameters:
    `packet` - NTP packet
  Returns:
    the packet reference id (as IP address) in "%d.%d.%d.%d" format.

### getReferenceClock

    public static String getReferenceClock(NtpV3Packet message)

  Get refId as reference clock string (e.g. GPS, WWV, LCL). If string is invalid (non-ASCII character) then returns empty string "". For details refer to the Comprehensive List of Clock Drivers.

  Parameters:
    `message` -
  Returns:
    reference clock string if primary NTP server

### getModeName

    public static String getModeName(int mode)

  Return human-readable name of message mode type (RFC 1305).

  Parameters:
    `mode` -
  Returns:
    mode name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.